## org.apache.poi.ss.formula.functions
Class Indirect

    java.lang.Object
      org.apache.poi.ss.formula.functions.Indirect

All Implemented Interfaces:
  FreeRefFunction

    public final class Indirect

extends java.lang.Object
implements FreeRefFunction

Implementation for Excel function INDIRECT

INDIRECT() returns the cell or area reference denoted by the text argument.

Syntax: INDIRECT(ref_text,isA1Style)

ref_text a string representation of the desired reference as it would normally be written in a cell formula.
isA1Style (default TRUE) specifies whether the ref_text should be interpreted as A1-style or R1C1-style.

Author:
  Josh Micich

Field Summary
`static FreeRefFunction` `instance`

Method Summary
`ValueEval` `evaluate(ValueEval[] args, OperationEvaluationContext ec)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### instance

    public static final FreeRefFunction instance

Method Detail

### evaluate

    public ValueEval evaluate(ValueEval[] args,
                              OperationEvaluationContext ec)

  Specified by:
    `evaluate` in interface `FreeRefFunction`
  Parameters:
    `args` - the pre-evaluated arguments for this function. args is never `null`, nor are any of its elements.
    `ec` - primarily used to identify the source cell containing the formula being evaluated. may also be used to dynamically create reference evals.
  Returns:
    never `null`. Possibly an instance of `ErrorEval` in the case of a specified Excel error (Exceptions are never thrown to represent Excel errors).

Copyright 2012 The Apache Software Foundation or its licensors, as applicable.